#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>

#include "glwidget.h"
#include "trialrecord.h"

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();    

public slots:

    void UpdateProgress();
    void EnableNextTrialButton();
    void DisableNextTrialButton();

protected:

    void keyPressEvent(QKeyEvent * event);
    void keyReleaseEvent(QKeyEvent * event);     

private:

    GLWidget glwidget;
    QProgressBar progress;
    QGridLayout layout;
    QWidget finishedwidget;
    QLabel failedwidget;

    QTextEdit studydatatextedit;

    QPushButton nexttrial;

};

#endif // MAINWINDOW_H
