#ifndef TRIALRECORD_H
#define TRIALRECORD_H

#include <QtCore>

class TrialRecord
{

public:

    TrialRecord();

    void Create(const int num_lists, const int num_records);

    bool Load(const QString & filename);
    bool Save(const QString & filename) const;

    int ChooseMinimalRandom(const int list_index);

    int GetStudyRuns();
    void SetStudyRuns(const int s);

private:

    QVector <QVector <int> > records;
    int study_runs;

};

#endif // TRIALRECORD_H
